<form #groupForm=ngForm class="example-form">
  <mat-form-field class="example-full-width" appearance="fill">
    <mat-label>Nazwa Grupy</mat-label>
    <input matInput placeholder="" [(ngModel)]="group.name" name="name">
  </mat-form-field>
  <h4>Dostępne semestry</h4>
  <mat-radio-group name="semesterId" [(ngModel)]="group.semesterId">
    <mat-radio-button  *ngFor="let semester of semesters" [value]="semester.id">{{semester.name}}</mat-radio-button>
  </mat-radio-group>
  <h4>Semestr</h4>
  <button type="submit" (click)="submitClicked.emit(group)" class="btn">
    <span *ngIf="operationType === 'edit'; else elseBlock">Edytuj</span>
    <ng-template #elseBlock>Dodaj</ng-template>
  </button>
</form>
